#ifndef CMD_DEFINES_H
#define CMD_DEFINES_H
/**
   Wifi_IR_Remote_TeensyLC and Wif_IR_Remote_ESP8266
   https://www.forward.com.au/pfod/HomeAutomation/Wifi_IR_Remote/index.html

   (c)2017 Forward Computing and Control Pty. Ltd.
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.
*/

// cmdDefines.h
// include this file in both the Wifi_IR_Remote_TeensyLC and Wif_IR_Remote_ESP8266 projects 
// This file defines the pfodApp dwg commands for each dwg  menu item A,  B,  C, etc

	// cmds for first screen 'A' dwg
#define pvr_okCmd_A 'a'
#define pvr_leftCmd_A 'b'
#define pvr_rightCmd_A 'c'
#define pvr_upCmd_A 'd'
#define pvr_downCmd_A 'e'
#define tv_muteCmd_A 'f'
#define pvr_recordingsCmd_A 'g'
#define tv_powerCmd_A  'h'
#define pvr_exitCmd_A 'i'
#define pvr_playCmd_A 'j'
#define pvr_stopCmd_A 'k'
#define pvr_pauseCmd_A 'l'
#define pvr_fastForwardCmd_A 'm'
#define pvr_fastReverseCmd_A 'n'
#define pvr_redCmd_A 'o'
#define pvr_greenCmd_A 'p'
#define pvr_yellowCmd_A 'q'
#define pvr_blueCmd_A  'r'
#define tv_avCmd_A  's'
#define pvr_VolUp_A 't'
#define pvr_VolDw_A 'u'
#define tv_VolUp_A 'v'
#define tv_VolDw_A 'w'
#define pvr_guideCmd_A 'x'
#define pvr_popUpCmd_A 'y'
#define pvr_recCmd_A 'z'
#define pvr_subTitlesCmd_A 'A'

	// cmds for first screen 'B' dwg
#define pvr_jumpForwardCmd_B 'a'
#define pvr_jumpReverseCmd_B 'b'
#define pvr_slowForwardCmd_B 'c'
#define pvr_muteCmd_B 'd'
#define pvr_goBackCmd_B 'e'
#define pvr_infoCmd_B 'f'
#define pvr_listCmd_B 'g'
#define pvr_1Cmd_B 'h'
#define pvr_2Cmd_B 'i'
#define pvr_3Cmd_B 'j'
#define pvr_4Cmd_B 'k'
#define pvr_5Cmd_B 'l'
#define pvr_6Cmd_B 'm'
#define pvr_7Cmd_B 'n'
#define pvr_8Cmd_B 'o'
#define pvr_9Cmd_B 'p'
#define pvr_0Cmd_B 'q'
#define pvr_leftCmd_B 'r'
#define pvr_rightCmd_B 's'
#define pvr_upCmd_B 't'
#define pvr_downCmd_B 'u'
#define pvr_okCmd_B 'w'
#define pvr_powerCmd_B 'x'
#define pvr_tvoutCmd_B 'y'
#define pvr_setupCmd_B 'z'
#define pvr_exitCmd_B 'A'
#define pvr_liveCmd_B 'B'
#define pvr_ChUpCmd_B 'C'
#define pvr_ChDnCmd_B 'D'
#define pvr_favCmd_B 'E'
#define pvr_zoomCmd_B 'F'
#define pvr_guideCmd_B 'G'

#endif // CMD_DEFINES_H
